Package: groovy.org.codenarc.rule.design

## [Groovy] Class StatelessSingletonRule

- groovy.org.codenarc.rule.design.StatelessSingletonRule

- There is no benefit in creating a stateless Singleton. Make a new instance with the new keyword instead.

  Authors:
    'Victor Savkin'

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `instanceRegex`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String instanceRegex

    - #### String name

    - #### int priority